Page MenuHomePhabricator

wikibase.Site RL module can not be registered twice
Closed, ResolvedPublic

Description

It looks like our attempt to copy and register modules under the same name (at the same time) in both client and Repo was unsuccessful.

Reported by @Lucas_Werkmeister_WMDE

ResourceLoader duplicate registration warning. Another module has already been registered as wikibase.Site

Event Timeline

Tarrow created this task.Jul 15 2020, 3:01 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 15 2020, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 15 2020, 4:18 PM

Change 612895 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Avoid duplicate registration of RL modules in LibHooks::onResourceLoaderRegisterModules

https://gerrit.wikimedia.org/r/612895

Change 612946 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Avoid trying to register wikibase.Site twice

https://gerrit.wikimedia.org/r/612946

Change 612946 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Avoid trying to register wikibase.Site twice

https://gerrit.wikimedia.org/r/612946

Is this worth a backport to wmf.41?

Is this worth a backport to wmf.41?

I think so, on its own, it's not a big deal. But it causes logspam which consumes time and energy of people who watch logs (to find this ticket) plus it might hide a real problem in logs. What do you think?

Yeah, I agree. If it was Friday or Monday I’d say it’s not worth it, but on Thursday let’s do it. I can take care of it.

Change 613167 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Ladsgroup):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.41] Avoid trying to register wikibase.Site twice

https://gerrit.wikimedia.org/r/613167

Change 612895 abandoned by Ladsgroup:
[mediawiki/extensions/Wikibase@master] Avoid duplicate registration of RL modules in LibHooks::onResourceLoaderRegisterModules

Reason:
Done in I74b9823f9a0

https://gerrit.wikimedia.org/r/612895

Change 613167 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.41] Avoid trying to register wikibase.Site twice

https://gerrit.wikimedia.org/r/613167

Mentioned in SAL (#wikimedia-operations) [2020-07-16T14:54:02Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.35.0-wmf.41/extensions/Wikibase/: Backport: [[gerrit:613167|Avoid trying to register wikibase.Site twice (T258065)]] (duration: 01m 03s)

Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Jul 16 2020, 4:15 PM